# class Response

#### package js.html

Available on HTML5

The `Response` interface of the Fetch API represents the response to a request.

Documentation Response by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/Response

### Constructor

###

`new (?body:EitherType<ArrayBuffer, EitherType<ArrayBufferView, EitherType<Blob, EitherType<FormData, EitherType<String, URLSearchParams>>>>>, ?init:ResponseInit)`

Throws:

`null` | DOMError

### Variables

###

`read onlybodyUsed:Bool`

###

`read onlyheaders:Headers`

Contains the `Headers` object associated with the response.

###

`read onlyok:Bool`

Contains a boolean stating whether the response was successful (status in the range 200-299) or not.

###

`read onlystatus:Int`

Contains the status code of the response (e.g., `200` for a success).

###

`read onlystatusText:String`

Contains the status message corresponding to the status code (e.g., `OK` for `200`).

###

`read onlytype:ResponseType`

Contains the type of the response (e.g., `basic`, `cors`).

###

`read onlyurl:String`

Contains the URL of the response.

### Methods

###

`arrayBuffer ():Promise<ArrayBuffer>`

Throws:

`null` | DOMError

###

`blob ():Promise<Blob>`

Throws:

`null` | DOMError

###

`clone ():Response`

Throws:

`null` | DOMError

###

`formData ():Promise<FormData>`

Throws:

`null` | DOMError

###

`json ():Promise<Dynamic>`

Throws:

`null` | DOMError

###

`text ():Promise<String>`

Throws:

`null` | DOMError

### Static methods

###

`staticerror ():Response`

###

`staticredirect (url:String, status:Int = 302):Response`

Throws:

`null` | DOMError